package com.template.model.enumModel;

/**
 * @Author: xwt
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 设备类型
 */
public enum eabookType {
    Alumnus(1),//校友
    Classab(2);//班级

    private int value;

    eabookType(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eabookType valueOf(int value) {
        switch (value) {
            case 1:
                return eabookType.Alumnus;
            case 2:
                return eabookType.Classab;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "校友通讯录";
            case 2:
                return "班级通讯录";
            default:
                return null;
        }
    }

}
